# Notion 로그

## 개요

Panther는 Notion 감사 로그를 수집합니다. 이를 통해 [HTTP 소스](/ko/data-onboarding/data-transports/http.md), 이 Notion 연결에서 이벤트를 수신합니다. 자세한 내용은 [보안 및 규정 준수 통합을 추가하기 위한 Notion 문서에서 확인하세요](https://www.notion.so/help/add-security-and-compliance-integrations).

{% hint style="warning" %}
이 통합은 다음 고객에게만 제공됩니다. [Notion의 Enterprise 요금제](https://www.notion.so/pricing).
{% endhint %}

#### 비디오 개요

{% embed url="<https://youtu.be/iB07BzppZlQ>" %}

## Notion 로그를 Panther에 온보딩하는 방법

### 사전 요구 사항

* 다음을 성공적으로 완료하려면 [2단계](#step-2-create-a-new-panther-connection-in-notion) 아래에서, Notion 사용자에게 다음 권한이 있어야 합니다. **Workspace owner** 역할.

### 1단계: Panther에 새 Notion 소스 만들기

1. Panther Console의 왼쪽 탐색 표시줄에서 **구성** > **Log Sources.**
2. 다음을 클릭하세요. **새로 만들기**.
3. “Notion”을 검색한 다음 해당 타일을 클릭합니다.
   * 슬라이드아웃 패널에서 **전송 메커니즘** 오른쪽 상단의 드롭다운이 다음 값으로 미리 채워집니다. **HTTP** 옵션.
4. 다음을 클릭하세요. **설정 시작**.\
   ![On the Notion log source setup page in the Panther Console, there is a "Transport Mechanism" dropdown with a value of "HTTP." To its right is a "Start Setup" button, and both are circled.](/files/44baf09e686d425d2b52f3322414b2278516b177)
5. Panther의 [HTTP Source 구성 지침을 따라](/ko/data-onboarding/data-transports/http.md#how-to-set-up-an-http-log-source-in-panther)5단계부터 시작합니다.
   * 다음 **스키마 - 선택 사항** 필드는 Notion 스키마로 미리 채워집니다.
   * 다음을 사용해야 합니다. [HMAC 인증](/ko/data-onboarding/data-transports/http.md#hmac). 이는 Notion이 지원하는 유일한 인증 방법입니다.
     * 다음 **헤더 이름** 귀하의 항목과 연결된 **비밀 키 값** 값으로 잠기게 됩니다. `x-notion-signature`.
     * 다음을 안전하게 복사하고 **비밀 키 값**안전한 위치에 보관하세요. 다음 단계에서 필요합니다.
   * 이 소스로 전송된 페이로드는 다음의 적용을 받습니다. [모든 HTTP 소스에 대한 페이로드 요구 사항](/ko/data-onboarding/data-transports/http.md#payload-requirements).
   * HTTP 엔드포인트 생성이 완료될 때까지 다음 단계로 진행하지 마세요.

### 2단계: Notion에서 새 Panther 연결 만들기

이 프로세스에 대해 자세히 알아보려면 [보안 및 규정 준수 통합을 추가하기 위한 Notion 문서에서 확인하세요](https://www.notion.so/help/add-security-and-compliance-integrations).

1. Notion 테넌트의 왼쪽 탐색 모음에서 **Settings.**
2. 아래 **통합** 섹션에서 다음을 클릭합니다 **Connections**.
3. 다음을 클릭하세요. **Workspace** 탭.
4. 찾은 다음 **Panther** 을 클릭합니다. **연결**.
5. 팝업 모달에서 다음 필드에 값을 입력합니다:
   * **Webhook URL:** 에서 생성한 HTTP Source URL을 입력합니다. [1단계](#step-1-create-a-new-notion-source-in-panther).
   * **토큰:** 다음을 입력하세요 **비밀 키 값** 에서 사용한 [1단계](#step-1-create-a-new-notion-source-in-panther).
6. 다음을 클릭하세요. **연결**.

## Panther 관리형 디택션

다음을 참조하세요 [Panther 관리형](https://docs.panther.com/detections/panther-managed) Notion에 대한 규칙을 [panther-analysis GitHub 저장소에 있습니다](https://github.com/panther-labs/panther-analysis/tree/master/rules/notion_rules).

## 지원되는 로그 유형

### Notion.AuditLogs

Notion.AuditLogs는 Notion 작업 공간에 대해 이루어진 변경 사항을 확인할 수 있게 해줍니다.

```yaml
schema: Notion.AuditLogs
description: Notion 감사 로그
referenceURL: https://www.notion.so/
fields:
    - 이름: event
      required: true
      description: 이벤트 정보
      type: object
      fields:
        - name: id
          required: true
          description: 이벤트 ID
          type: string
        - 이름: timestamp
          required: true
          description: 이벤트가 발생한 시간
          type: timestamp
          timeFormats:
            - rfc3339
          isEventTime: true
        - name: workspace_id
          description: 이벤트와 연결된 작업 공간의 ID
          type: string
        - name: actor
          required: true
          description: 이벤트에 관련된 행위자에 대한 식별 정보
          type: object
          fields:
            - name: id
              required: true
              description: 행위자의 ID
              type: string
              indicators:
                - actor_id
            - 이름: object
              required: true
              description: 행위자 객체의 유형
              type: string
            - 이름: type
              required: true
              description: 행위자의 유형
              type: string
            - name: person
              description: 작업에 관련된 사람에 대한 정보
              type: object
              fields:
                - name: email
                  description: 사용자의 이메일
                  type: string
                  indicators:
                    - email
        - name: ip_address
          description: 이벤트가 시작된 IP 주소
          type: string
          indicators:
            - ip
        - name: platform
          description: 요청이 시작된 플랫폼
          type: string
        - 이름: type
          required: true
          설명: 이벤트 유형
          type: string
        - 이름: details
          description: 이벤트 세부 정보
          type: json
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/notion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
